Subject: Fwd: Re: Cygwin + Debian
From: "Christophe Prud'homme" <[email-masked]>
To: Cygwin <[email-masked]>
Date: Thu, 21 Jun 2001 11:19:49 -0400

----------  Message transmis  ----------

Subject: Re: Cygwin + Debian
Date: Thu, 21 Jun 2001 11:19:20 -0400
From: Christophe Prud'homme <[email-masked]>
To: Kevin Wright <[email-masked]>

* Kevin Wright  [Mercredi 20 Juin 2001 06:44 pm ]  :
  > You might want to look at a program called fink
  > (http://fink.sourceforge.net/) which is a front-end to dpkg for Apple's
  > Darwin (OS X) written in perl. However, the author hopes that someday
  > this could be used on other Unix platforms. Basically, it would be a
  > matter of porting the main applications that fink uses:
  >
  > 1) dpkg
  > 2) bzip2
  > 3) gettext
  > 4) gzip
  > 5) tar
  > 6) wget
  > 7) perl
  >
  > As far as I know, only dpkg has not yet been ported. Then you would have
  > to write "info" files for each package (eg gimp-1.2.1-3.info). A fink
  > info package is just a plain file that lists where to get the source for
  > (using wget), what the dependencies are, and what options to pass to the
  > compiler, configure, etc. The next step would be to create the patch file
  > for each package.
  >
  > The way fink works is it:
  > 1) looks for the info file for a given package,
  > 2) applies the patch, if necessary
  > 3) builds the application
  > 4) creates the .deb file
  > 5) installs the app from the .deb file
  > 6) updates the database that lists the installed apps
  >
  > for example:
  >
  > fink install gimp
  >
  > I'd work on this myself if I only had a windows box handy at work.

Thanks Kevin

I will have a look
right now I am trying to port dpkg and related tools
I ran into some problems with dpkg while compiling it
without doing anything. I'll have to have a closer look now

C.
--

| Christophe Prud'homme, http://augustine.mit.edu/~prudhomm
| ICQ UIN: 24560867 Alias: Jesunix
|
| It may be that our role on this planet is not to worship God but to create
| him. -Arthur C. Clarke

-------------------------------------------------------

-- 
| Christophe Prud'homme, http://augustine.mit.edu/~prudhomm
| ICQ UIN: 24560867 Alias: Jesunix
|
| Friends are relatives you make for yourself.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple